.random {
    color: white;
}

main {
    max-width: 1000px;
    width: 100%;
    margin: 2rem auto;
}

section {
    display: flex;
    flex-direction: column;
}

h1 {
    font-size: 2.5rem;
    font-weight: 700;
    margin: 2rem 0;
}

h1 span {
    color: rgba(231, 42, 255, 0.5)
}

button, input {
    appearance: none;
    background: none;
    out-line: none;
    border: none;
}

.form {
    display: flex;
}

.task-input {
    color: white;
    flex: 1 1 0%;
    font-size: 1.5rem;
    padding: 2rem;
    background-color: #34495e;
    margin: 2rem 2rem;
    border-radius: 1rem;
}

.task-input::placeholder {
    color: white;
}

.task-submit {
    background-image: linear-gradient(to right, rgb(231, 42, 255), rgba(231, 42, 255, .5));
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    font-size: 1.5rem;
    font-weight: 700;
    cursor: pointer;
    transition: 0.3s;
}

.task-submit:hover {
    opacity: 0.8;
}

.task-submit:active {
    opacity: 0.4;
}